<!--
The frame stack of the externalization manager.
-->
<?xml version="1.0" encoding="UTF-8" ?>
<AronTypeDefinition>

    <!--AronIncludes>
        <Include include="<RobotAPI/libraries/aron/common/aron/Color.xml>" autoinclude="true" />
    </AronIncludes-->

    <GenerateTypes>

        <Object name="armarx::externalization::arondto::Frame">

            <ObjectChild key="name">
                <string />
            </ObjectChild>

        </Object>

        <Object name="armarx::externalization::arondto::FrameStack">

            <ObjectChild key="framesBottomToTop">
                <List>
                    <armarx::externalization::arondto::Frame />
                </List>
            </ObjectChild>

        </Object>

    </GenerateTypes>
</AronTypeDefinition>
